diff --git a/changelog b/changelog
index 06f1da0..1a10e31 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080317 tpd src/input/kamke2.input check results using Maple
 20080316 tpd src/input/kamke2.input check results using Mathematica.
 20080316 acr src/algebra/mathml.spad invisibletimes == <mspace width=0.3em>
 20080314 tpd Makefile --enable-maxpage=512*1024 due to kamke2
diff --git a/src/input/kamke2.input.pamphlet b/src/input/kamke2.input.pamphlet
index 7d31b41..c7bf2ba 100644
--- a/src/input/kamke2.input.pamphlet
+++ b/src/input/kamke2.input.pamphlet
@@ -50,8 +50,12 @@ ode101 := x*D(y(x),x) + x*y(x)**2 - y(x)
 --E 4
 
 @
+Maple gives
+$$\frac{2x}{x^2+2\_C1}$$
+which can be substituted and simplifies to 0.
+
 Mathematica gives
-$$y(x)=\frac{2*x}{x^2+2}$$
+$$y(x)=\frac{2x}{x^2+2}$$
 which can be substituted and simplifies to 0.
 <<*>>=
 --S 5 of 131
@@ -86,6 +90,10 @@ ode102 := x*D(y(x),x) + x*y(x)**2 - y(x) - a*x**3
 --E 7
 
 @
+Maple gives
+$$\tanh(\left(\frac{x^2\sqrt{a}}{2}+\_C1\sqrt{a}\right)x\sqrt{a}$$
+which, upon substitution, simplifies to 0.
+
 Mathematica gives
 $$\sqrt{a}~x~
 \tanh\left(\frac{1}{2}\left(\sqrt{a}~x^2+2\sqrt{a}~C[1]\right)\right)$$
@@ -214,6 +222,11 @@ ode103 := x*D(y(x),x) + x*y(x)**2 - (2*x**2+1)*y(x) - x**3
 --E 10
 
 @
+Maple gives
+$$\frac{1}{2}x\left(\sqrt{2}+
+2\tanh\left(\frac{(x^2+x\_C1)\sqrt{2}}{2}\right)\right)\sqrt{2}$$
+which simplifies to 0 on substitution.
+
 Mathematica gives
 $$\frac{\left(e^{\sqrt{x}~x^2}+\sqrt{2}~e^{\sqrt{2}~x^2}+
 e^{2\sqrt{2}~C[1]}-\sqrt{2}~e^{2\sqrt{2}~C[1]}\right)x}
@@ -295,6 +308,14 @@ ode104 := x*D(y(x),x) + a*x*y(x)**2 + 2*y(x) + b*x
 --E 13
 
 @
+Maple gets:
+$$-\frac{\sqrt{x(a+b)}
+\left(\_C1~{\rm BesselY}\left(3,2\sqrt{x(a+b)}\right)+
+{\rm BesselJ}\left(2,2\sqrt{x(a+b)}\right)\right)}
+{\_C1~{\rm BesselY}\left(2,2\sqrt{x(a+b)}\right)+
+{\rm BesselJ}\left(2,2\sqrt{x(a+b)}\right)}$$
+which simplifies to 0 on substitution.
+
 Mathematica gets:
 $$-\frac{1}{ax}-\sqrt{\frac{b}{a}}~\tan\left(a\sqrt{\frac{b}{a}}~x-C[1]\right)$$
 but cannot simplify the substitution to 0.
@@ -419,8 +440,19 @@ ode106 := x*D(y(x),x) + x**a*y(x)**2 + (a-b)*y(x)/2 + x**b
 --E 18
 
 @
+Maple gets
+$$-\frac{\tan\left(
+\frac{\displaystyle 2x^{\left(\displaystyle
+\frac{a}{2}+\frac{b}{2}\right)}+\displaystyle\_C1~a+\_C1~b}
+{\displaystyle a+b}\right)}
+{x^{\left(\displaystyle{\frac{a}{2}-\displaystyle\frac{b}{2}}\right)}}$$
+which simplifies to 0 on substitution.
+
+
 Mathematica gets
-$$e^{-\frac{1}{2}a\log(x)+\frac{1}{2}b\log(x)}\tan\left(\frac{2x^{\frac{a+b}{2}}}{a+b}-C[1]\right)$$
+$$e^{-\frac{1}{2}a\log(x)+\frac{1}{2}b\log(x)}
+\tan\left(\frac{2x^{\frac{a+b}{2}}}{a+b}-C[1]\right)$$
+which does not simplify to 0 on substitution.
 <<*>>=
 --S 19 of 131
 yx:=solve(ode106,y,x)
@@ -454,6 +486,10 @@ ode108 := x*D(y(x),x) - y(x)**2*log(x) + y(x)
 --R                                                     Type: Expression Integer
 --E 22
 @
+Maple gets:
+$$\frac{1}{1+\log(x)+x\_C1}$$
+which, on substitution, simplifies to 0.
+
 Mathematica gets:
 $$\frac{1}{1+xC[1]+\log(x)}$$
 which, on substitution, simplifies to 0.
@@ -493,6 +529,11 @@ ode109 := x*D(y(x),x) - y(x)*(2*y(x)*log(x)-1)
 --E 25
 
 @
+Maple gets:
+$$\frac{1}{2+2\log(x)+x~\_C1}$$
+which simplifies to 0 on substitition.
+
+
 Mathematica gets
 $$\frac{1}{2+xC[1]+2\log(x)}$$
 which simplifies to 0 on substitution.
@@ -547,6 +588,10 @@ ode111 := x*D(y(x),x) + y(x)**3 + 3*x*y(x)**2
 --R                                                     Type: Expression Integer
 --E 30
 
+@
+Maple gets 0 which simplifies to 0 on substitution.
+<<*>>=
+
 --S 31 of 131
 yx:=solve(ode111,y,x)
 --R
@@ -554,6 +599,10 @@ yx:=solve(ode111,y,x)
 --R                                                    Type: Union("failed",...)
 --E 31
 
+@
+Maple gets 0 but simplification gives the result $csgn(x)x$.
+<<*>>=
+
 --S 32 of 131
 ode112 := x*D(y(x),x) - sqrt(y(x)**2 + x**2) - y(x)
 --R
@@ -582,6 +631,8 @@ ode113 := x*D(y(x),x) + a*sqrt(y(x)**2 + x**2) - y(x)
 --E 34
 
 @
+Maple gets 0 but on substitition this simplifies to $a~csgn(x)~x$
+
 Mathematica gets
 $$x*\sinh(C[1]+\log(x))$$
 If we choose $C[1]=0$ this simplifies to 
@@ -606,6 +657,8 @@ ode114 := x*D(y(x),x) - x*sqrt(y(x)**2 + x**2) - y(x)
 --E 36
 
 @
+Maple gets 0 but, on substitition, simplifies to $-x^2csqn(x)$.
+
 Mathematica gets
 $$x\sinh(x+C[1])$$
 but cannot simplify the substituted expression to 0.
@@ -628,6 +681,9 @@ ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)**2 + x**2) - y(x)
 --E 38
 
 @
+Maple claims the result is 0 but simplifies it, on substitution, to
+$x^3 csgn(x)$.
+
 Mathematica claims that the equations appear to involve the variables
 to be solved for in an essentially non-algebraic way.
 <<*>>=
@@ -649,6 +705,9 @@ ode116 := x*D(y(x),x) - x*sqrt((y(x)**2 - x**2)*(y(x)**2-4*x**2)) - y(x)
 --E 40
 
 @
+Maple claims the answer is 0 but simplifies, on substitution, to
+$-2x^3 csgn(x^2)$.
+
 Mathematica says that a potential solution of ComplexInfinity was possibly
 discarded by the verifier and should be checked by hand, possibly using
 limits. And the equations appear to involve the variables to be solved
@@ -673,6 +732,10 @@ ode117 := x*D(y(x),x) - x*exp(y(x)/x) - y(x) - x
 --E 42
 
 @
+Maple gets:
+$$\left(\log\left(-\frac{x}{-1+x~e^{\_C1}}\right)+\_C1\right)x$$
+which simplifies to 0 on substitution.
+
 Mathematica says that inverse functions are being used by Solve, so some
 solutions may not be found and to use Reduce for complete solution
 information. It gets the answer:
@@ -696,6 +759,10 @@ ode118 := x*D(y(x),x) - y(x)*log(y(x))
 --E 44
 
 @
+Maple gets
+$$e^{(x~\_C1)}$$
+which, on substitution, does not simplify to 0.
+
 Mathematics gets
 $$e^{e^{C[1]}x}$$
 which, on substitution simplifies to 
@@ -733,6 +800,10 @@ ode119 := x*D(y(x),x) - y(x)*(log(x*y(x))-1)
 --E 47
 
 @
+Maple get
+$$\frac{e^{\left(\frac{x}{\_C1}\right)}}{x}$$
+which, on substitution, does not simplify to 0.
+
 Mathematica gets
 $$\frac{1}{x(C[1]-log(log(x)))}$$
 which does not simplify to 0 on substitution.
@@ -755,8 +826,13 @@ ode120 := x*D(y(x),x) - y(x)*(x*log(x**2/y(x))+2)
 --E 49
 
 @
+Maple gets
+$$\frac{x^2}{e^{\left(\frac{\_C1}{e^x}\right)}}$$
+which, on substitution, does not simplify to 0.
+
 Mathematics get:
 $$2e^{-e^{-x} C[1]+e^{-x}{\rm ExpIntegralEi}[x]}x$$
+which does not simplify to 0 on substitution.
 <<*>>=
 --S 50 of 131
 yx:=solve(ode120,y,x)
@@ -777,6 +853,7 @@ ode121 := x*D(y(x),x) + sin(y(x)-x)
 @
 Mathematics gets
 $$\frac{\sin(x)}{1+\sin(x)}+x^{-sin(x)}C[1]$$
+which, on substitution, does not simplify to 0.
 <<*>>=
 --S 52 of 131
 yx:=solve(ode121,y,x)
@@ -795,6 +872,10 @@ ode122 := x*D(y(x),x) + (sin(y(x))-3*x**2*cos(y(x)))*cos(y(x))
 --E 53
 
 @
+Maple gets:
+$$\arctan\left(\frac{x^3+2~\_C1}{x}\right)$$
+which, on substitution, simplifies to 0.
+
 Mathematica gets:
 $$\arctan\left(\frac{2x^3+C[1]}{2x}\right)$$
 which, on substitution, simplifies to 0.
@@ -816,6 +897,11 @@ ode123 := x*D(y(x),x) - x*sin(y(x)/x) - y(x)
 --E 55
 
 @
+Maple gets:
+$$\arctan\left(\frac{2x~\_C1}{1+x^2~\_C1^2}\quad,\quad
+-\frac{-1+x^2~\_C1^2}{1+x^2~\_C1^2}\right)x$$
+which, on substitution, simplifies to 0.
+
 Mathematica get:
 $$x^{1+sin(x)}C[1]$$
 which does not simplfy to 0 on substitution.
@@ -837,6 +923,10 @@ ode124 := x*D(y(x),x) + x*cos(y(x)/x) - y(x) + x
 --E 57
 
 @
+Maple gets
+$$-2\arctan(\log(x)+~\_C1)x$$
+which, on substitution, does not simplify to 0.
+
 Mathematics gets
 $$2x\arctan(C[1]-\log(x))$$
 which does not simplify to 0 on substitution.
@@ -858,6 +948,10 @@ ode125 := x*D(y(x),x) + x*tan(y(x)/x) - y(x)
 --E 59
 
 @
+Maple gets
+$$\arcsin\left(\frac{1}{x~\_C1}\right)x$$
+which, on substitution, simplifies to 0.
+
 Mathematica gets
 $$\arcsin\left(\frac{e^{C[1]}}{x}\right)$$
 which does not simplify to 0 on substitution.
@@ -879,6 +973,11 @@ ode126 := x*D(y(x),x) - y(x)*f(x*y(x))
 --E 61
 
 @
+Maple gets
+$$\frac{{\rm RootOf}\left(-\log(x)+~\_C1+
+\displaystyle\int^{\_Z}{\frac{1}{\displaystyle\_a(1+g(\_a))}}~d\_a\right)}{x}$$
+which, on substitution, simplifies to 0.
+
 Mathematica gets
 $$\frac{1}{-f(x)-C[1]}$$
 which does not simplify to 0 on substitution.
@@ -899,8 +998,11 @@ ode127 := x*D(y(x),x) - y(x)*f(x**a*y(x)**b)
 --R                                                     Type: Expression Integer
 --E 63
 @
+Maple gives 0 which, on substitution simplifies to 0.
+
 Mathematica gives:
 $$b\left(-\frac{f(x^a)}{a}-C[1]\right)^{-1/b}$$
+which, on substitution, does not simplify to 0.
 <<*>>=
 --S 64 of 131
 yx:=solve(ode127,y,x)
@@ -918,8 +1020,14 @@ ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x**a*y(x))
 --R                                                     Type: Expression Integer
 --E 65
 @
+Maple gives 
+$$\frac{{\rm RootOf}\left(
+-\int{f(x)x^{(-1+a)}}~dx+\int^{\_Z}{\frac{1}{g(\_a)}~d\_a+\_C1}\right)}{x^a}$$
+which, on substitution, gives 0.
+
 Mathematica gives 
 $$e^{\frac{f(x)g(x^{1+a})}{1+a}-a\log(x)}C[1]$$
+which, on substitution, does not simplify to 0.
 <<*>>=
 --S 66 of 131
 yx:=solve(ode128,y,x)
@@ -937,6 +1045,11 @@ ode129 := (x+1)*D(y(x),x) + y(x)*(y(x)-x)
 --R                                                     Type: Expression Integer
 --E 67
 @
+Maple gives
+$$\frac{e^x}
+{-e^x-e^{(-1)}{\rm Ei}(1,-x-1)x-e^{(-1)}{\rm Ei}(1,-x-1)+x~\_C1+~\_C1}$$
+which, on substitution, simplifies to 0.
+
 Mathematica gives
 $$-\frac{e^{1+x}}{e^{1+x}-eC[1]-exC[1]-{\rm ExpIntegralEi}(1+x)-
 x{\rm ExpIntegralEi}(1+x)}$$
@@ -964,6 +1077,10 @@ ode130 := 2*x*D(y(x),x) - y(x) -2*x**3
 --R                                                     Type: Expression Integer
 --E 69
 @
+Maple gives
+$$\frac{2x^3}{5}+\sqrt{x}~\_C1$$
+which, on substitution, simplifies to 0.
+
 Mathematica gives
 $$\frac{2x^3}{5}+\sqrt{x}C[1]$$
 which simplifies to 0 on substitution.
@@ -1004,6 +1121,10 @@ ode131 := (2*x+1)*D(y(x),x) - 4*exp(-y(x)) + 2
 --R                                                     Type: Expression Integer
 --E 73
 @
+Maple gives
+$$-\log\left(\frac{2x+1}{-1+4xe^{(2~\_C1)}+2e^{(2~\_C1)}}\right)-2~\_C1$$
+which simplifies to 0 when substituted.
+
 Mathematica gives
 $$\log\left(2+\frac{1}{1+2x}\right)$$
 which simplifies to 0 when substituted.
@@ -1039,6 +1160,22 @@ ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)**4 - y(x)
 --R                                                     Type: Expression Integer
 --E 76
 @
+Maple gives 3 solutions.
+$$\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
+{6x^2\log(x)-3*x^2-4~\_C1}$$
+$$-\frac{1}{2}\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
+{6x^2\log(x)-3*x^2-4~\_C1}
++\frac{1}{2}I\sqrt{3}
+\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
+{6x^2\log(x)-3*x^2-4~\_C1}$$
+$$-\frac{1}{2}\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
+{6x^2\log(x)-3*x^2-4~\_C1}
+-\frac{1}{2}I\sqrt{3}
+\frac{\left(-4x(6x^2\log(x)-3x^2-4~\_C1)^2\right)^{(1/3)}}
+{6x^2\log(x)-3*x^2-4~\_C1}$$
+which, on substitution, simplifies to 0.
+
+
 Mathematica gives 3 solutions,
 $$\frac{(-2)^{2/3}x^{1/3}}{(3x^2+4C[1]-6x^2\log(x))^{1/3}}$$
 $$\frac{( 2)^{2/3}x^{1/3}}{(3x^2+4C[1]-6x^2\log(x))^{1/3}}$$
@@ -1098,6 +1235,10 @@ ode133 := x**2*D(y(x),x) + y(x) - x
 --R                                                     Type: Expression Integer
 --E 79
 @
+Maple gives
+$$\left({\rm Ei}\left(1,\frac{1}{x}\right)+~\_C1\right)e^{(\frac{1}{x})}$$
+which simplifies to 0 on substitution.
+
 Mathematica gets:
 $$e^{1/x}C[1]-e^{1/x}{\rm ExpIntegralEi}\left(-\frac{1}{x}\right)$$
 which simplifies to 0 on substitution.
@@ -1128,6 +1269,10 @@ ode134 := x**2*D(y(x),x) - y(x) + x**2*exp(x-1/x)
 --R                                                     Type: Expression Integer
 --E 81
 @
+Maple gets
+$$(-e^x+~\_C1)e^{\left(-\frac{1}{x}\right)}$$
+which simplifies to 0 on substitution.
+
 Mathematics get
 $$-e^{-\frac{1}{x}+x}+e^{-1/x}C[1]$$
 which does not simplify to 0 on substitution.
@@ -1174,6 +1319,10 @@ ode135 := x**2*D(y(x),x) - (x-1)*y(x)
 --R                                                     Type: Expression Integer
 --E 85
 @
+Maple gets
+$$\_C1xe^{\left(\frac{1}{x}\right)}$$
+which simplifies to 0 when substituted.
+
 Mathematica gets 
 $$e^{1/x}xC[1]$$
 which simplifies to 0 when substituted.
@@ -1211,6 +1360,10 @@ ode136 := x**2*D(y(x),x) + y(x)**2 + x*y(x) + x**2
 --R                                                     Type: Expression Integer
 --E 89
 @
+Maple gets
+$$-\frac{x(-1+\log(x)+~\_C1)}{\log(x)+~\_C1}$$
+which simplifies to 0 on substitution.
+
 Mathematica gets
 $$\frac{-x-xC[1]+x\log(x)}{C[1]-\log(x)}$$
 which simplifies to 0 on substition.
@@ -1252,6 +1405,10 @@ ode137 := x**2*D(y(x),x) - y(x)**2 - x*y(x)
 --R                                                     Type: Expression Integer
 --E 92
 @
+Maple gets:
+$$\frac{x}{-\log(x)+~\_C1}$$
+which simplifies to 0 on substitution.
+
 Mathematica gets:
 $$\frac{x}{C[1]-\log(x)}$$
 which simplifies to 0 on substitution.
@@ -1276,11 +1433,7 @@ ode137expr := x**2*D(yx,x) - yx**2 - x*yx
 --R                                         y(x)
 --R                                                     Type: Expression Integer
 --E 94
-@
-Mathematica get:
-$$x\tan(C[2]+\log(x))$$
-which simplifies to 0 when substituted.
-<<*>>=
+
 --S 95 of 131
 ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
 --R
@@ -1289,6 +1442,15 @@ ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
 --R
 --R                                                     Type: Expression Integer
 --E 95
+@
+Maple gets
+$$\tan(\log(x)+~\_C1)x$$
+which simplifies to 0 on substitution.
+
+Mathematica get:
+$$x\tan(C[2]+\log(x))$$
+which simplifies to 0 when substituted.
+<<*>>=
 
 --S 96 of 131
 yx:=solve(ode138,y,x)
@@ -1367,11 +1529,7 @@ yx:=solve(ode139,y,x)
 --R   (99)  "failed"
 --R                                                    Type: Union("failed",...)
 --E 99
-@
-Mathematica gets:
-$$-\frac{2}{x}+\frac{1}{x+C[1]}$$
-which does not simplify.
-<<*>>=
+
 --S 100 of 131
 ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
 --R
@@ -1380,7 +1538,15 @@ ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
 --R
 --R                                                     Type: Expression Integer
 --E 100
+@
+Maple gets
+$$-\frac{-2~\_C1+x}{x(-~\_C1+x)}$$
+which simplifies to 0 when substituted.
 
+Mathematica gets:
+$$-\frac{2}{x}+\frac{1}{x+C[1]}$$
+which does not simplify.
+<<*>>=
 --S 101 of 131
 yx:=solve(ode140,y,x)
 --R
@@ -1736,6 +1902,9 @@ ode145 := x**2*D(y(x),x) + a*y(x)**3 - a*x**2*y(x)**2
 --R                                                     Type: Expression Integer
 --E 114
 
+@
+Maple claims the result is 0, which when substituted, simplifies to 0
+<<*>>=
 --S 115 of 131
 yx:=solve(ode145,y,x)
 --R
@@ -1752,6 +1921,9 @@ ode146 := x**2*D(y(x),x) + x*y(x)**3 + a*y(x)**2
 --R                                                     Type: Expression Integer
 --E 116
 
+@
+Maple gets 0 which, when substituted, simplifies to 0.
+<<*>>=
 --S 117 of 131
 yx:=solve(ode146,y,x)
 --R
@@ -1767,18 +1939,16 @@ ode147 := x**2*D(y(x),x) + a*x**2*y(x)**3 + b*y(x)**2
 --R
 --R                                                     Type: Expression Integer
 --E 118
-
+@
+Maple gets 0 which, when substituted, results in 0.
+<<*>>=
 --S 119 of 131
 yx:=solve(ode147,y,x)
 --R
 --R   (119)  "failed"
 --R                                                    Type: Union("failed",...)
 --E 119
-@
-Mathematica gets
-$$\frac{{\rm arcsinh}(x)}{\sqrt{1+x^2}}+\frac{C[1]}{\sqrt{1+x^2}}$$
-gives 0 when substituted.
-<<*>>=
+
 --S 120 of 131
 ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
 --R
@@ -1787,7 +1957,15 @@ ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
 --R
 --R                                                     Type: Expression Integer
 --E 120
+@
+Maple gets
+$$\frac{{\rm arcsinh}(x)+~\_C1}{\sqrt{x^2+1}}$$
+which when substituted, simplifies to 0.
 
+Mathematica gets
+$$\frac{{\rm arcsinh}(x)}{\sqrt{1+x^2}}+\frac{C[1]}{\sqrt{1+x^2}}$$
+gives 0 when substituted.
+<<*>>=
 --S 121 of 131
 ode148a:=solve(ode148,y,x)
 --R
@@ -1820,11 +1998,7 @@ ode148expr := (x**2+1)*D(yx,x) + x*yx - 1
 --R   (123)  0
 --R                                                     Type: Expression Integer
 --E 123
-@
-Mathematica gets
-$$\frac{1}{3}(1+x^2)+\frac{C[1]}{\sqrt{1+x^2}}$$
-which simplifes to 0 when substituted.
-<<*>>=
+
 --S 124 of 131
 ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
 --R
@@ -1833,7 +2007,15 @@ ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
 --R
 --R                                                     Type: Expression Integer
 --E 124
+@
+Maple gets
+$$\frac{x^2}{3}+\frac{1}{3}+\frac{\_C1}{\sqrt{x^2+1}}$$
+which simplifies to 0 when substituted.
 
+Mathematica gets
+$$\frac{1}{3}(1+x^2)+\frac{C[1]}{\sqrt{1+x^2}}$$
+which simplifes to 0 when substituted.
+<<*>>=
 --S 125 of 131
 ode149a:=solve(ode149,y,x)
 --R
@@ -1863,11 +2045,6 @@ ode149expr := (x**2+1)*D(yx,x) + x*yx - x*(x**2+1)
 --R                                                     Type: Expression Integer
 --E 127
 
-@
-Mathematica gets:
-$$\frac{2x^3}{3(1+x^2)}+\frac{C[1]}{1+x^2}$$
-which simplifies to 0 on substitution.
-<<*>>=
 --S 128 of 131
 ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
 --R
@@ -1876,6 +2053,15 @@ ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
 --R
 --R                                                     Type: Expression Integer
 --E 128
+@
+Maple gets
+$$\frac{\frac{2x^3}{3}+~\_C1}{x^2+1}$$
+which simplifies to 0 on substitution.
+
+Mathematica gets:
+$$\frac{2x^3}{3(1+x^2)}+\frac{C[1]}{1+x^2}$$
+which simplifies to 0 on substitution.
+<<*>>=
 
 --S 129 of 131
 ode150a:=solve(ode150,y,x)
@@ -1913,5 +2099,6 @@ ode150expr := (x**2+1)*D(yx,x) + 2*x*yx - 2*x**2
 \begin{thebibliography}{99}
 \bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
 \bibitem{2} Mathematica 6.0.1.0
+\bibitem{3} Maple 11.01 Build ID 296069
 \end{thebibliography}
 \end{document}
